// ==UserScript==
// @include http://*ogame*/game*
// @name OperaGame SuperOgame - Init file
// @author Mladen Pejaković
// @namespace http://superogame.890m.com/
// @version 1.5.2
// @description SuperOgame is an user javascript for Opera which improves experience of playing OGame
// ==/UserScript==

/* Copyright (C) 2008 Mladen Pejaković
 * based on original code by cedricpc
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 */

var soSet = new Array();

//### USER EDITABLE SETTINGS ###
//### GENERAL SETTINGS ###
soSet['soGen_VerCh'] = 1; // Check for updates automatically
soSet['soGen_TimeF'] = '%(%d/%m )%h:%n:%s'; // Global time format
soSet['soGen_TimeDiff'] = ''; // Time zone difference
soSet['soGen_impC'] = '#FF0000'; // Color if something can't work
soSet['soGen_notEnC'] = '#FFCC00'; // Color if there is no enough of something
soSet['soGen_Clock'] = 1; // Display server time clock above left menu
soSet['soGen_ClockC'] = '#FFCC00'; // Color of the left menu clock
soSet['soGen_ClockF'] = '%h:%n:%s'; // Time format for the clocks
soSet['soGen_ClockI'] = 0; // Switch local/server time for clocks
soSet['soGen_Moons'] = 1; // Highlight Moons in planets list
soSet['soGen_MoonsC'] = '#993322'; // Highlighting color for Moons in planets list
soSet['soGen_ChgButts'] = 1; // Add planet change buttons
soSet['soGen_JumpGate'] = 1; // Show Jump Gate shortcut in left menu
soSet['soGen_MLst'] = 1; // Show Member List shortcut in left menu
soSet['soGen_MLstSort1'] = 5; // Member list link sort order - sort members by coords (0), name (1), rank (2), points (3), date joined (4) or online status (5)
soSet['soGen_MLstSort2'] = 0; // Member list link sort order - sort accending (0) or decending (1)
soSet['soGen_Banned'] = 1; // Show shortcut to Banned page in left menu
soSet['soGen_CircMes'] = 1; // Show shortcut for circular message in left menu
var soGen_MenuL = new Array(); // Add shortcuts to the left menu; format: 'name','link','color','target'
// start menu items
// examples are below (uncomment if you want to use it, or change to suit your needs)
soGen_MenuL[1] = new Array ('SuperOgame','http://superogame.890m.com','navy','_blank');
// soGen_MenuL[2] = new Array ('Manage Alliance','index.php?page=allianzen&session='+session+'&a=5','red','');
// soGen_MenuL[3] = new Array ('Manage Members','index.php?page=allianzen&session='+session+'&a=7&sort1=5&sort2=1','','');
// end menu items

//### OVERVIEW MENU ###
soSet['soMen_Clock'] = 1; // Display local time clock in overview menu
soSet['soMen_ClockC'] = '#AAAA00'; // Color of the overview menu clock
soSet['soMen_Fields'] = 1; // Show original size of a planet or moon
soSet['soMen_ResOver'] = 1; // Show resources overview
soSet['soMen_Enh'] = 1; // Some overview menu enhancements

//### RESOURCES ###
soSet['soRes_ProdCalc'] = 1; // Show resources production calculator
soSet['soRes_StStatus'] = 1; // Show status of storage capacities
soSet['soRes_ProdFact'] = 1; // Show graphical status of the production factor
soSet['soRes_SatEnerg'] = 1; // Show solar satelite energy production

//### GALAXY ###
soSet['soGal_PlntLst'] = 1; // Show planets list in the galaxy
soSet['soGal_DebrRemI'] = 0; // Shows metal and crystal amount of the debris instead of its image
soSet['soGal_HlDebrS'] = 20000; // Highlight debris minimum size (value of 0 turns this off)
soSet['soGal_HlDebrC'] = '#229922'; // Highlight debris color
soSet['soGal_HlMoonsS'] = 8000; // Highlight moons minimum size (value of 0 turns this off)
soSet['soGal_HlMoonsC'] = '#993322'; // Highlight moons color
soSet['soGal_Ranks'] = 1; // Show rank positions in galaxy view
soSet['soGal_PhalStat'] = 1; // Show phalanx status indicator in galaxy view
var soGal_AllC = new Array(); // Colorize alliances in galaxy view - add alliance tags, color and names here:
// start alliance colors
// soGal_AllC[1] = new Array ('Enemy',   'red',   'alliance1','alliance2');
// soGal_AllC[2] = new Array ('Neutral',   'yellow',     'alliance3');
//end alliance colors

//### BUILD INFO ###
soSet['soBld_ResRem'] = 1; // Show resources remained
soSet['soBld_ResRemC'] = '#FF0000'; // Color of resources remained
soSet['soBld_CargRem'] = 1; // Show cargos needed (resources remained MUST be showed)
soSet['soBld_CargRemC'] = '#00FF00'; // Color of needed cargos number
soSet['soBld_RemDesc'] = 1; // Remove building descriptions
soSet['soBld_ResImg'] = 100; // Resize building images (pixels) - between 150 and 0 (value of 0 removes images completely, -1 does nothing, ie. leaves images at default)
soSet['soBld_ImpMsg'] = 1; // Show "impossible" message when something can't be built
soSet['soBld_InfDiff'] = 1; // Show differences of phalanx reach
soSet['soBld_EndTime'] = 1; // Show build end time
soSet['soBld_EndTimeF'] = '%(%d/%m )%h:%n:%s'; // Format of end time
soSet['soBld_EndTimeC'] = '#00FF00'; // Color of end time
soSet['soBld_Range'] = 1; // Show IPM and phalanx range info
soSet['soBld_Energ'] = 1; // Show mines and solar powerplant energy status

//### FLEET INFOS ###
soSet['soFlt_Cap'] = 1; // Show fleet cargo capacity
soSet['soFlt_CapC'] = 'gold'; // Color of fleet cargo capacity
soSet['soFlt_TransCalc'] = 1; // Show transport calculator in the Fleets page
soSet['soFlt_CargNeedC'] = '#00FF00'; // Color of needed cargos in transport calculator
soSet['soFlt_ArrTime'] = 1; // Show arrival time in the Overview and Phalanges
soSet['soFlt_ArrTimeF'] = '%(%d/%m )%h:%n:%s'; // Format of arrival time
soSet['soFlt_ArrTimeC'] = '#00FF00'; // Color of arrival time
soSet['soFlt_CmBckTime'] = 1; // Show comeback time in the Fleets page
soSet['soFlt_CmBckTimeF'] = '%(%d/%m )%h:%n:%s'; // Format of comeback time
soSet['soFlt_CmBckTimeC'] = '#00FF00'; // Color of comeback time
soSet['soFlt_SndTime'] = 1; // Show arrival and comeback time when sending a fleet
soSet['soFlt_SndTimeF'] = '%(%d/%m )%h:%n:%s'; // Format of arrival and comeback time
soSet['soFlt_SndTimeC'] = '#00FF00'; // Color of arrival and comeback time
soSet['soFlt_ResC'] = 'gold'; // Color of all resources in the Fleets page
soSet['soFlt_ExpShrt'] = 1; // Show a shortcut for Outer Space when sending fleet
soSet['soFlt_DefMis'] = 1; // Define default mission type to be preselected
soSet['soFlt_DefMisO'] = new Array(6,3,1,4,2,5,7); // Default mission type to be preselected order: 1 - Attack; 2 - Attack (ACS); 3 - Transport; 4 - Deploy; 5 - Hold position; 6 - Spy; 7 - Colonize; 9 - Destroy;
soSet['soFlt_HoldCons'] = 1; // Show holding deuterium cost for expedition or holding missions
soSet['soFlt_Impr'] = 1; // Show UI enhancements in flotten menus (colorized top left fleet number information and "No resources" link in fleet resources selection)
soSet['soFlt_SpdSel'] = 3; // Fleet speed selector: 1 - moved to the right; 2 moved to left; 3 - new style
soSet['soFlt_DefCrds'] = ''; // Default coordinates; example: 1:111:1:3, where number three designates planet type (1-3)
var soFlt_Scs = new Array(); // Additional coordinate shortcuts
// soFlt_Scs[1] = new Array(1,1,1,1,'Name 1');
// soFlt_Scs[2] = new Array(2,2,2,2,'Name 2');
// soFlt_Scs[3] = new Array(3,3,3,3,'Name 3');

//### MESSAGES ###
soSet['soMsg_DelForm'] = 1; // Show a second delete form before messages
soSet['soMsg_AllyReply'] = 1; // Show a link for reply to an alliance message
soSet['soMsg_Clear'] = 1; // Remove the background behind messages for differentiate messages better
soSet['soMsg_RepRes'] = 1; // Display number of needed cargos to raid in spy report
soSet['soMsg_RepEsp'] = 1; // Display number of needed espionage probes in spy report
soSet['soMsg_RepLnk'] = 1; // Display links to SpeedSim and DragoSim in spy report
soSet['soMsg_SpyRepC'] = 1; // Disable colorization for spy report
soSet['soMsg_MissRepC'] = 0; // Disable colorization for missile attack report
soSet['soMsg_PrivC'] = ''; // Color of private messages
soSet['soMsg_PrivBgC'] = 'navy'; // Background color of private messages
soSet['soMsg_AllyC'] = ''; // Color of alliance messages
soSet['soMsg_AllyBgC'] = 'darkgreen'; // Background color of alliance messages
soSet['soMsg_ActiveC'] = ''; // Color of activity messages - spying, missile attacks...
soSet['soMsg_ActiveBgC'] = '#990000'; // Background color of activity messages
soSet['soMsg_PassiveC'] = ''; // Color of passive messages - comeback of fleet, resources delivery...
soSet['soMsg_PassiveBgC'] = '#330066'; // Background color of passive messages
soSet['soMsg_ExpC'] = ''; // Color of expedition messages
soSet['soMsg_ExpBgC'] = '#550022'; // Background color of expedition messages
soSet['soMsg_Sml'] = 1; // Enable graphical smileys in messages
soSet['soMsg_Sgnt'] = ''; // Signature for outgoing personal messages (use "\n" for new line and "\t for tab")
soSet['soMsg_SgntAll'] = 0; // Include signature in circular messages, too

//### OTHER ###
soSet['soSts_Diff'] = 1; // Statistic difference

//### END OF USER EDITABLE SETTINGS ###

soSet['soLan_Ovr'] = (soGetCookie('soLan_Ovr') != null ? soGetCookie('soLan_Ovr') : '');
sofSys_overlibFix();
if(Page == 'options') makeEvent(sofSys_Opt);
soSet['soSet_OnOff'] = (soGetCookie('soSet_OnOff') ? soGetCookie('soSet_OnOff') : 1);
if (soSet['soSet_OnOff'] > 0){
if (Page == 'overview') makeEvent(sofSys_GetTime);
if ((Page != 'notizen') && (Page != 'bericht') && (soSet['soGen_Clock'])) makeEvent(sofGen_Men);
if ((Page != 'notizen') && (Page != 'bericht')) makeEvent(sofGen_Gen);
if ((soSet['soMen_Clock']) && (Page == 'overview')) makeEvent(sofMen_Clock);
if ((soSet['soMen_Fields']) && (Page == 'overview')) makeEvent(sofMen_Fields);
if ((soSet['soMen_ResOver']) && (Page == 'overview')) makeEvent(sofMen_ResOver);
if ((soSet['soMen_Enh']) && (Page == 'overview')) makeEvent(sofMen_Enh);
if(((soSet['soRes_ProdCalc']) || (soSet['soRes_StStatus']) || (soSet['soRes_ProdFact']) || (soSet['soRes_SatEnerg'])) && (Page == 'resources')) makeEvent(sofRes_Gen);
if (soSet['soGal_PlntLst']){
if ((Page != 'galaxy') && (Page != 'notizen') && (Page != 'bericht')) makeEvent(sofSys_PlntCrds);
if (Page == 'galaxy') makeEvent(sofGal_PlntLst);}
if (((soSet['soGal_HlMoonsS'] > 0) || (soSet['soGal_HlDebrS'] > 0) || (soSet['soGal_DebrRemI'])) && (Page == 'galaxy')) makeEvent(sofGal_Hl);
if ((soGal_AllC.length > 0) && (Page == 'galaxy')) makeEvent(sofGal_AllC);
if ((soSet['soGal_Ranks']) && (Page == 'galaxy')) makeEvent(sofGal_Ranks);
if ((soSet['soGal_PhalStat']) && (Page == 'galaxy')) makeEvent(sofGal_PhalStat);
if (Page == 'galaxy') makeEvent(sofGal_galaxyFix);
if ((soSet['soBld_EndTime']) && ((Page.indexOf('building') != -1) || (Page == 'overview'))) makeEvent(sofBld_EndTime);
if ((soSet['soBld_InfDiff']) && (Page == 'infos') && (location.href.search(/gid=42/) != -1)) makeEvent(sofBld_InfDiff);
if (((soSet['soBld_ResRem']) || (soSet['soBld_Range']) || (soSet['soBld_RemDesc']) || (soSet['soBld_ResImg'] >= 0)) && (Page.indexOf('building') != -1)) makeEvent(sofBld_Bld);
if ((soSet['soFlt_ArrTime']) && ((Page == 'overview') || (Page == 'phalanx'))) makeEvent(sofFlt_ArrTime);
if ((soSet['soFlt_CmBckTime']) && (Page == 'flotten1')) makeEvent(sofFlt_CmBckTime);
if ((soSet['soFlt_Cap']) && (Page == 'flotten1')) makeEvent(sofFlt_Cap);
if ((soSet['soFlt_SndTime']) && ((Page == 'flotten2') || (Page == 'flotten3'))) makeEvent(sofFlt_SndTime);
if ((soSet['soFlt_TransCalc']) && (Page == 'flotten1')) makeEvent(sofFlt_TransCalc);
if ((soSet['soFlt_Impr']) && (Page == 'flotten1')) makeEvent(sofFlt_Fl1);
if (((soSet['soFlt_ExpShrt']) || (soSet['soFlt_Impr']) || (soSet['soFlt_SpdSel'] > 0) || (soSet['soMsg_Sgnt'] != '')) && (Page == 'flotten2')) makeEvent(sofFlt_Fl2);
if (((soSet['soFlt_HoldCons']) || (soSet['sofFlt_Impr']) || (soSet['soFlt_DefMis'] > 0)) && (Page == 'flotten3')) makeEvent(sofFlt_Fl3);
if (((soSet['soMsg_RepRes']) || (soSet['soMsg_RepEsp']) || (soSet['soMsg_RepLnk'])) && (Page == 'messages')) makeEvent(sofMsg_SpyRep);
if (Page == 'messages') makeEvent(sofMsg_MsgsC);
if ((soSet['soMsg_DelForm']) && (Page == 'messages')) makeEvent(sofMsg_DelForm);
if ((soSet['soMsg_Sml']) && ((((Page == 'allianzen') && (location.href.search(/a=17/) != -1)) || (Page == 'writemessages')) || (Page == 'messages'))) makeEvent(sofMsg_Sml);
if (((soSet['soMsg_Sgnt'] != '') && (Page == 'writemessages')) || (((soSet['soMsg_Sgnt'] != '') && (soSet['soMsg_SgntAll'])) && ((Page == 'allianzen') && (location.href.search(/a=17/) != -1)))) makeEvent(sofMsg_Sgnt);
if((soSet['soSts_Diff']) && (Page == 'statistics')) makeEvent(sofSts_Diff);
makeEvent(sofGen_LTime);}
